#include "render.h"

int render_thread(GLFWwindow* window, RenderContext* render_context) {
  while(glfwWindowShouldClose(window) == 0) {
    glfwPollEvents();
  }
  return 0;
}

int logic_thread() {
  return 0;
}

int network_thread() {
  return 0;
}

int main() {
  GLFWwindow* window = init_window();
  if(window == NULL) {
    return 1;
  }

  RenderContext render_context = {};
  if(init_vulkan(window, &render_context) != VK_SUCCESS) {
    return 2;
  }

  if(render_thread(window, &render_context) != 0) {
    return 3;
  }

  return 0;
}
